Loading...
Searching...
No Matches
rdtsc.h File Reference
Utility Functions » Timestamp Counter

Timestamp counter related functions. More...

`#include <l4/sys/compiler.h>`
`#include <l4/sys/l4int.h>`
`#include <l4/sys/kip.h>`
Include dependency graph for rdtsc.h:

Go to the source code of this file.

## Functions

l4_cpu_time_t | l4_rdtsc (void)
| Read current value of CPU-internal timestamp counter.
l4_uint32_t | l4_rdtsc_32 (void)
| Read the lest significant 32 bit of the TSC.
l4_uint64_t | l4_rdpmc (int ecx)
| Return current value of CPU-internal performance measurement counter.
l4_uint32_t | l4_rdpmc_32 (int ecx)
| Return the least significant 32 bit of a performance counter.
l4_uint64_t | l4_tsc_to_ns (l4_cpu_time_t tsc)
| Convert timestamp to ns value.
l4_uint64_t | l4_tsc_to_us (l4_cpu_time_t tsc)
| Convert timestamp into micro seconds value.
void | l4_tsc_to_s_and_ns (l4_cpu_time_t tsc, l4_uint32_t *s, l4_uint32_t *ns)
| Convert timestamp to s.ns value.
l4_cpu_time_t | l4_ns_to_tsc (l4_uint64_t ns)
| Convert nano seconds into CPU ticks.
void | l4_busy_wait_ns (l4_uint64_t ns)
| Wait busy for a small amount of time.
void | l4_busy_wait_us (l4_uint64_t us)
| Wait busy for a small amount of time.
l4_uint32_t | l4_calibrate_tsc (l4_kernel_info_t const *kip)
| Determine scalers for timestamp calculations.
l4_uint32_t | l4_tsc_init (l4_kernel_info_t const *kip)
| Initialize scaler for TSC calibrations from the kernel.
l4_uint32_t | l4_get_hz (void)
| Get CPU frequency in Hz.

## Detailed Description

Timestamp counter related functions.

Author
  Frank Mehnert fm3@o.nosp@m.s.in.nosp@m.f.tu-.nosp@m.dres.nosp@m.den.d.nosp@m.e

Definition in file rdtsc.h.